Bug 446044 - Add super-H(sh3,4) architecture support.
Add super-H(sh3,4) architecture support.
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: glibc (Show other bugs)
9
sh4 Linux
low Severity low
: ---
: ---
Assigned To: Jakub Jelinek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-12 06:09 EDT by CHIKAMA Masaki
Modified: 2009-07-14 11:26 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 11:26:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
glibc-2.6-sh-linux.patch (1.88 KB, patch)
2008-05-12 06:09 EDT, CHIKAMA Masaki
no flags Details | Diff
glibc-spec-sh.diff (1.26 KB, patch)
2008-05-12 06:11 EDT, CHIKAMA Masaki
no flags Details | Diff

  None (edit)
Description CHIKAMA Masaki 2008-05-12 06:09:40 EDT
Description of problem:

 These patches add support super-H(sh3,sh4) architecture.
This is forward ported patch for glibc-2.8 
getting from http://www.sh-linux.org/ .

There are 3 part of patches.

1. Patch to fedora/tzdata-update.c.
 This patch is against glibc-fedora-20080412T0741.tar.bz2 package.

2. Allow undefined symbol in shared library.
This patch is against glibc.spec file. On sh architecture, there has been
discussion where __fpscr_values symbol should be defined.
One is on crt0 (gcc) and the other is on glibc (needs patch against glibc).
(Sorry, I don't fully understand about this.)
This patch is the former and allow not to be defined in glibc.

--- glibc.spec.org      2008-05-08 22:24:25.000000000 +0900
+++ glibc.spec  2008-05-08 22:27:09.000000000 +0900
@@ -220,6 +221,15 @@
 %patch1 -p1
 %endif
 %endif
+
+# for __fpscr_values
+%ifarch sh3 sh4
+cat >configparms <<EOF
+no-z-defs=yes
+LDFLAGS=-Wl,--allow-shlib-undefined
+EOF
+%endif

 # A lot of programs still misuse memcpy when they have to use
 # memmove. The memcpy implementation below is not tolerant at


3. Add special CFLAGS.

--- glibc.spec.org      2008-05-08 22:24:25.000000000 +0900
+++ glibc.spec  2008-05-08 22:27:09.000000000 +0900
@@ -284,6 +294,10 @@
 GCC="gcc -m64"
 GXX="g++ -m64"
 %endif
+%ifarch sh4
+BuildFlags="-mieee"
+%endif
+
  
 BuildFlags="$BuildFlags -DNDEBUG=1 -fasynchronous-unwind-tables"
 #BuildFlags="$BuildFlags -fasynchronous-unwind-tables"
Comment 1 CHIKAMA Masaki 2008-05-12 06:09:40 EDT
Created attachment 305111 [details]
glibc-2.6-sh-linux.patch
Comment 2 CHIKAMA Masaki 2008-05-12 06:11:00 EDT
Created attachment 305112 [details]
glibc-spec-sh.diff

diff file for glibc.spec
Comment 3 Bug Zapper 2008-05-14 07:01:59 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 CHIKAMA Masaki 2008-05-26 01:05:31 EDT
update 2.

The linker option in second line of configparms seems to be redundant.
I can compile without it. 
You can get background of __fpscr_values problem from  
http://web.archive.org/web/20050225220125/www.m17n.org/linux-sh/ml/linux-sh/2003-08/msg00029.html
and
http://eggplant.ddo.jp/www/pukiwiki/index.php?memo%2F__fpscr_values  (In Japanese) .

--- glibc.spec.org      2008-05-08 22:24:25.000000000 +0900
+++ glibc.spec  2008-05-08 22:27:09.000000000 +0900
@@ -220,6 +221,15 @@
 %patch1 -p1
 %endif
 %endif
+
+# for __fpscr_values
+%ifarch sh3 sh4
+cat >configparms <<EOF
+no-z-defs=yes
+EOF
+%endif

 # A lot of programs still misuse memcpy when they have to use
 # memmove. The memcpy implementation below is not tolerant at


Comment 5 Bug Zapper 2009-06-09 20:44:07 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2009-07-14 11:26:18 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.